Name:           lft
Version:        2.31
Release:        2
Summary:        Alternate traceroute tool

Group:          Applications/Internet
License:        VOSTROM Public License
URL:            http://oppleman.com/lft/
# http://oppleman.com/dl/?file=lft-2.31.tar.gz
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap
Obsoletes:      fft <= 2.3

%description
LFT, short for Layer Four Traceroute, is a 'traceroute' utility that
often works much faster (than the commonly-used Van Jacobson method)
and goes through many configurations of packet-filter based
firewalls. More importantly, LFT implements numerous other features
including AS number lookups, loose source routing, netblock name
lookups, et al.


%prep
%setup -q
%patch0 -p0


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall # no DESTDIR support


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc CHANGELOG COPYING README TODO lft-manpage.html
%attr(4755,root,root) %{_bindir}/lft
%{_mandir}/man8/lft.8*


%changelog
* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.31-2
- 2.31.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.3-2
- rebuilt

* Sat Jan 15 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:2.3-1
- Update to 2.3.

* Sat Jul 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.2-0.fdr.2
- Fix stale patch issue (bug 311).

* Thu May 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.2-0.fdr.1
- Update to 2.2.
- Tweak spec to current Fedora guidelines.

* Sun Mar 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1-0.fdr.2
- Revised patch to work around suid root install (#61).

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1-0.fdr.1
- Updated to 2.1 and current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.0-1.fedora.1
- First Fedora release.
